Bug 190873 - Review Request: gnome-ppp - A GNOME 2 WvDial frontend
Review Request: gnome-ppp - A GNOME 2 WvDial frontend
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-05 16:21 EDT by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 19:58:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2006-05-05 16:21:27 EDT
Spec URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/gnome-ppp.spec
SRPM URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/gnome-ppp-0.3.23-1.fc5.src.rpm
Description: 
GNOME PPP is a modem dialup tool designed to integrate nicely into GNOME 2 
Desktop Environment. It is very similar to GPPP dialup utility created for 
GNOME 1 and KDE equivalent, KPPP. Since it is a graphical frontend for the 
excellent WvDial too, very little knowledge is needed to setup a dialup 
connection using GNOME PPP. It features ease of use, HIG dialogs, auto 
detection of your modem and connection monitoring.

Comments:
builds fine in mock
rpmlint is happy
Comment 1 Michael A. Peters 2006-05-06 02:02:00 EDT
Good:

* md5sum matches upstream:
ec2e20fc713a01c953d759bea3df8618  gnome-ppp-0.3.23.tar.bz2
* Package appropriately named (matches upstream)
* spec file matches src.rpm name
* Package meets package guidelines
* Appropriate License (GPL), matches COPYING file, in %doc
* Spec file written in legible American English
* Succesfully builds in FC5 i386 mock
* locales handled properly
* no shared libs to fuss over
* not relocatable
* owns every directory it creates
* no duplicate files. Not even any triplicate files.
* %defattr properly used, proper file permissions
* Proper %clean
* consistent use of $RPM_BUILD_ROOT
* doc package not necessary
* Package functions w/o docs
* No devel package to fuss over
* Includes proper desktop file - uses desktop-file-install
* Scriptlets are sane

-=-

I no longer have a modem for it to configure, so I have not tested this package.
But that is a *should* and not a *must*

-=-

Output of rpmlint on mock built fc5 i386 packages:

[mpeters@jerusalem result]$ ls *.rpm
gnome-ppp-0.3.23-1.fc5.i386.rpm  gnome-ppp-debuginfo-0.3.23-1.fc5.i386.rpm
gnome-ppp-0.3.23-1.fc5.src.rpm
[mpeters@jerusalem result]$ rpmlint *.rpm
[mpeters@jerusalem result]$ echo $?
0
[mpeters@jerusalem result]$ 

APPROVED
Comment 2 Michael A. Peters 2006-05-06 02:12:32 EDT
Note on the test thing - I did try the app. No segfault.
It correctly creates a ~/.wvdial.conf

w/o a modem for it to detect though, that's as far as I could get.
Comment 3 Christoph Wickert 2006-05-06 18:53:24 EDT
Thanks for the review and responding so quickly, Michael.

(In reply to comment #1)
> 
> I no longer have a modem for it to configure, so I have not tested this package.
> But that is a *should* and not a *must*
> 
IMO it should be a MUST and to be honest I haven't thought about that before. I
don't have a modem atm ether, so I did not test this package. I rolled this
package for my sister who is a complete newby. She manged to setup a connection
and is happy with the package, so I guess it must be foolproof. ;) But I'm not
sure if modem detection and works properly, so I asked a friend of mine to test
this.

I'm not going to build or release this, before I receive feedback (because I'm
not interested in maintaining a broken piece of software).
Comment 4 Michael A. Peters 2006-05-06 19:15:15 EDT
It will use /dev/modem by default - I *think* udev will create /dev/modem
symlink if hardware is present, so modem detection would only be necessary if
fedora itself did not pick it up (or more than one is present).

Even if detection fails, /dev/ttySN manually configured should work.
Comment 5 Christoph Wickert 2006-05-06 19:58:05 EDT
Right, gnome-ppp is just calling wvdialconf anyway, so this doesn't really
matter. Imported into CVS, build for devel.

Closing.

Note You need to log in before you can comment on or make changes to this bug.